function A = InitNodes(Ain, ends, Cc)

A = Ain;
s = size(Cc, 1);
f = size(Cc, 2);
if f~=9, error('Must use 9 masterpoints'); end

%  Ccum(:,[1 31 71 111 141 171 211 251 281]);
%  Ccum(1,[1  2  3   4   5   6   7  25  26]);
%          1  2  3   4   5   6   7   8   9

if ends==1 
    for ss=1:s
        C = Cc(ss,2:f);
        A(ss,32) =  C(4); 
        A(ss,16) =  C(2)        / C(4); 
        A(ss, 8) =  C(1)        / C(2); 
        A(ss,24) = (C(3) - C(2))/(C(4) - C(2)); 
        A(ss,48) = (C(6) - C(4))/(C(8) - C(4)); 
        A(ss,40) = (C(5) - C(4))/(C(6) - C(4)); 
        A(ss,56) = (C(7) - C(6))/(C(8) - C(6)); 
    end
end

if ends~=1
    error('only ends==1 implemented in initNodes') 
end
