function ShowNodes(C, Cn, Ccum, A, P, ends, aspectRatio)

% Displays the contours of the examples with the nodes 

s = size(C, 1);
for ss=1:s
    X(ss,:) = FormShape(C(ss,1:Cn(ss)), Ccum(ss,1:Cn(ss)), ...
        A(ss,:), P, ends);
end

figure(6);
clf;
nc = round(sqrt(4*s/2/(aspectRatio+0.35)));
nr = ceil(s/nc);

for ss=1:s
    subplot(nr,nc,ss);
    plot(C(ss,:).','-'); axis equal; axis off; hold on;
    if ends==1 plot(X(ss,1:8:P).','r*'); 
    else plot(X(ss,1:8:(P+1)).','r*'); 
        plot(X(ss,1:16:(P+1)).','k*');
        plot(X(ss,1:32:(P+1)).','g*');
        plot(X(ss,1:64:(P+1)).','b*');
    end
    hold off;
end


